Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #756

Song position marker issue(s)
November 21, 2017 21:29 - Mike Daniels

Status: Closed Start date: November 21, 2017
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/sndfile Estimated time: 0.00 hour

Target version: 3.10

Affects version: 3.9

Description

Ubuntu 17.04 x86_64
Unity7, Compiz

Two issues when dealing with the song position marker using the mouse:

1. Start playing a song (wav, mp3) of at least a decent length. Grab the song position marker and drag it beyond the end-position and
release the mouse-button. The marker stays at the end, the song display shows the end-time (and continues to play over its actual
length-time) but the program plays the sound at the position it was previously playing, plus ~1 second.

- The expected behaviour is that if you're at the end of the song (which the song position marker implies), to start playing the next
song in the list (of course this can be debated if that is what should happen, but it seems pretty common behaviour in music players,
for example Spotify does this). If not, then at least the song position marker and the song display should feedback where it is actually
playing, after doing this manoeuvrer.

2. The other issue is that you are able to get stuck into the grab-state of the song position marker, so that you can not interact with
the rest of the music player until you either quit and restart the program, or wait until the song ends. The step to reproduce this is to
double-click somewhere in the song position marker-area and that makes the song position marker sticking to the horizontal
movement of the mouse.

- This does not seem to be the case in the QT-version so using that might be my own workaround for now. :)

History

#1 - November 22, 2017 18:09 - Thomas Lange

Do you use Audacious from the Ubuntu repositories (version 3.7 for 17.04) or already the latest version?

#2 - November 22, 2017 18:50 - Mike Daniels

Hi Thomas. | am using an additional repository:

$ apt-cache policy audacious
audacious:
Installed: 3.9-3~webupd8~zesty0
Candidate: 3.9-3~webupd8~zesty0
Version table:
**x 3.9-3~webupd8~zesty0 500
500 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu zesty/main amd64 Packages
100 /var/lib/dpkg/status
3.7.2-1ubuntul 500
500 http://archive.ubuntu.com/ubuntu zesty/universe amdé64 Packages
#3 - November 22, 2017 20:21 - John Lindgren

| can't reproduce either of these issues in latest Git on Arch Linux.

#4 - November 22, 2017 20:41 - Mike Daniels

- File song_position_marker_issues.m4v added

| attached a video-recording of demonstrating both issues. First issue at 0:02, second issue at 0:15.

#5 - November 22, 2017 20:58 - Mike Daniels

| tested audacious-3.9a-win32.zip in Windows 7 Pro (x64). | could reproduce the first issue there but not the second one, so the second seems to be
more setup-related.

#6 - November 22, 2017 22:05 - John Lindgren

| can't reproduce in the Windows version either. Upload the file you are testing with; maybe it is a problem with a specific (type of) file.

#7 - November 22, 2017 22:44 - Mike Daniels
- File hysteroid7_test.wav.zip added

Aha, that could maybe be it for issue 1. Maybe it's the metadata in the wav-file that causes this (it was created with Renoise from the beginning, which
adds metadata where one pattern ends and another pattern begins). | silenced the wav-file | tried with previously (so that it compresses into almost
nothing, so it can be attached here). Both issues still happen to me using this wav-file.

#8 - November 25, 2017 18:04 - John Lindgren
- Category set to plugins/sndfile

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 0 to 100

| was able to reproduce the first issue with the file you attached (thanks!) and fix it.

Since the double-click issue appears to be specific to Ubuntu, please report it against the "audacious" package in Ubuntu, and their team can
determine the root cause.

Files

audacious.png 118 KBNovember 21, 2017 Mike Daniels
song_position_marker_issues.m4v 1 MBNovember 22, 2017 Mike Daniels
hysteroid7_test.wav.zip 36.1 KBNovember 22, 2017 Mike Daniels
